System.setcpuspeed(333)

red = Color.new(255,0,0,255)
flasher = Image.load("lock.png")
 
System.unassign("flash0:")
System.assign("flash0:","lflash0:0,0","flashfat0:")


screen:clear()

Image:blit(0,0,flasher)
screen:print(80,140,"Torch's XMB Lock SLIM Installer / Uninstaller",red)
screen.flip()
file = io.open("flash0:/loader.prx")

while true do

if not file then

System.copyFile("flash0:/vsh/module/vshmain.prx","cache/vshmain.prx",0)
System.copyFile("cache/slim/intraFont.prx","flash0:/intraFont.prx",0)
System.copyFile("cache/slim/loader.prx","flash0:/loader.prx",0)
System.copyFile("cache/slim/iop.prx","flash0:/iop.prx",0)
System.copyFile("cache/slim/lockdown.thm","flash0:/lockdown.thm",0)
System.copyFile("cache/slim/vlf.prx","flash0:/vlf.prx",0)

System.rename("cache/vshmain.prx","vshmain_real.prx")
  
System.removeFile("flash0:/vsh/module/vshmain.prx")
System.copyFile("cache/vshmain_real.prx","flash0:/vsh/module/vshmain_real.prx",0)

System.copyFile("cache/slim/vshmain.prx","flash0:/vsh/module/vshmain.prx",0)
System.message("Torch's Lock XMB Style SLIM Installed",0)

System.Quit()
end

if file then

System.removeFile("flash0:/vsh/module/vshmain.prx")
System.removeFile("flash0:/vsh/module/vshmain_real.prx")
System.rename("cache/vshmain_real.prx","vshmain.prx")
System.removeFile("flash0:/intraFont.prx")
System.removeFile("flash0:/loader.prx")
System.removeFile("flash0:/iop.prx")
System.removeFile("flash0:/lockdown.thm")
System.removeFile("flash0:/vlf.prx")
System.removeFile("flash0:/buttons.ini")

System.copyFile("cache/vshmain.prx","flash0:/vsh/module/vshmain.prx",0)
System.removeFile("cache/vshmain.prx")
System.message("Lockdown XMB Style SLIM Successfully Uninstalled",0)

System.Quit()
end
end























































































